package com.xynet.marketing.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.experimental.Accessors;

import java.time.LocalDateTime;

/**
 * 营销-服务商
 * @author hechunping
 * @date 2025/1/17
 */
@Data
@Accessors(chain = true)
@TableName("marketing_provider")
public class Provider {
    @TableId(type = IdType.AUTO)
    private Integer id;

    private String name;

    private String appkey;

    private String secret;

    private String msg;

    private LocalDateTime createTime;

    private LocalDateTime updateTime;

    private String noticeUrl;

}
